Kepler - Bug #1849

pasting operation pastes directly over copied object
12/22/2004 10:53 AM - Laura Downey
Priority: Normal Due date:

Assignee: Chad Berkley % Done: 0%
Category: general Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 1849

Description

When an object (e.g., actor) is copied and then pasted, it is placed directly
over the original copied object which often confuses the user as to whether

the paste operation was successful and users will sometimes paste a couple of
more times before realizing that the pasted objects are being pasted on top of
each other (even though there is small number changed in the title).

The paste operation should result in the pasted object being placed offset to
the originally copied object so that it is immediately clear that the copy and
paste operation was successful.

History

#1 - 01/06/2005 04:02 PM - Chad Berkley

added a method in basicGraphFrame that offsets the pasted moml _location
property so that the pasted objects don't show up exactly on top of the source
objects. Right now, the paste offset is 10 pixels in the x and y direction, but
that could be increased....laura, what do you think?

#2 - 01/07/2005 06:34 PM - Christopher Brooks

| folded this change into the Ptolemy tree.
Edward said:

Yes, I've been meaning to do this for some time...

Another improvement would be if the newly pasted model
were selected after pasting...

#3 - 03/27/2013 02:18 PM - Redmine Admin
Original Bugzilla ID was 1849
